/**
 * section_cta
 * @version	2.0
 * @release	17-01-2022
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.section_cta
{
	overflow: hidden;
}

.section_cta .layout_mirror > *:last-child
{
	order: -1;
}

.section_cta .gc_gtc_1fr_max_content
{
	grid-template-columns: 1fr auto;
}

.section_cta .gc_gtc_1fr_max_content.layout_mirror
{
	grid-template-columns: auto 1fr;
}

.section_cta .layout_vertical
{
	grid-template-columns: 100% !important;	
}

.section_cta.height_auto{ min-height: auto; }
.section_cta.height_25{ min-height: 25dvh; }
.section_cta.height_30{ min-height: 30dvh; }
.section_cta.height_35{ min-height: 35dvh; }
.section_cta.height_40{ min-height: 40dvh; }
.section_cta.height_45{ min-height: 45dvh; }
.section_cta.height_50{ min-height: 50dvh; }
.section_cta.height_55{ min-height: 55dvh; }
.section_cta.height_60{ min-height: 60dvh; }
.section_cta.height_65{ min-height: 65dvh; }
.section_cta.height_70{ min-height: 70dvh; }
.section_cta.height_75{ min-height: 75dvh; }
.section_cta.height_100{ min-height: 100dvh; }

/**********************************************************************************/

.section_cta:not(.symbol):not(.background_transparent) .contener > *
{
	color: var(--root_color_white);
}

.section_cta:not(.symbol):not(.background_transparent) .content a
{
	color: var(--root_color_white);
}

.section_cta:not(.symbol):not(.background_transparent) .content a:hover
{
	color: var(--root_color_lead);
}

.section_cta:not(.symbol):not(.background_transparent) .link .global_link
{
	color: var(--root_color_white);
}

.section_cta:not(.symbol):not(.background_transparent) .link .global_link:hover
{
	color: var(--root_color_white);
}

.section_cta:not(.symbol):not(.background_transparent) .link .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23FFFFFF' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta:not(.symbol):not(.background_transparent) .link .global_button
{
	--global_button_color:				var(--root_color_white);
	--global_button_background_color:	var(--root_color_lead);
	--global_button_color_h:			var(--root_color_dark);
	--global_button_background_color_h:	var(--root_color_white);
}

/**********************************************************************************/

.section_cta .youtube_player
{
/*	background-repeat: no-repeat;
	background-size: cover;
	background-position: 50% 50%; */
	min-width: 100%;
	min-height: 100%;
	width: auto;
	height: auto;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: none;
	object-fit: cover;
	object-position: 50% 50%;
	aspect-ratio: 16 / 9;
	z-index: 1;
}

.section_cta .is_video
{
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 0;
}

.section_cta .video
{
/*	background-repeat: no-repeat;
	background-size: cover;
	background-position: 50% 50%; */
	min-width: 100%;
	min-height: 100%;
	width: auto;
	height: auto;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: none;
	object-fit: cover;
	object-position: 50% 50%;
	aspect-ratio: 16 / 9;
}

.section_cta .video.is_mobile
{
	aspect-ratio: 9 / 16;
}

/* .section_cta .link .global_button
{
	--global_button_color:				var(--root_color_white);
	--global_button_background_color:	var(--root_color_dark);
	--global_button_color_h:			var(--root_color_dark);
	--global_button_background_color_h:	var(--root_color_white);
} */

/**********************************************************************************/

.section_cta.background_transparent.global_background.gb_before_bc::before
{
	--gb_before_bc: rgba(0, 0, 0, 0);
}

.section_cta.background_transparent .contener > *
{
	color: var(--root_color_dark);
}

.section_cta.background_transparent .content a
{
	color: var(--root_color_dark);
}

.section_cta.background_transparent .content a:hover
{
	color: var(--root_color_lead);
}

.section_cta.background_transparent .link .global_link
{
	color: var(--root_color_dark);
}

.section_cta.background_transparent .link .global_link:hover
{
	color: var(--root_color_lead);
}

.section_cta.background_transparent .link .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%231B2129' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta.background_transparent .link .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23A91F22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta.background_transparent .link .global_button
{
/*	--global_button_color:				var(--root_color_dark);
	--global_button_background_color:	var(--root_color_lead); */
	--global_button_color_h:			var(--root_color_white);
	--global_button_background_color_h:	var(--root_color_dark);
}

/**********************************************************************************/

/* .section_cta.offert
{
	background-size: 100% auto;
	background-position: 0 0;
}

.section_cta.offert .contener
{
	width: 100%;
	max-width: 685px;
	justify-self: flex-end;
}

.section_cta.offert .contener *
{
	color: var(--root_color_dark);
}

.section_cta.offert .link
{
	width: 100%;
	max-width: 685px;
	justify-self: flex-end;
}

.section_cta.offert .link .global_link
{
	color: var(--root_color_dark);
}

.section_cta.offert .link .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23163C33' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta.offert .link .global_button
{
	--global_button_color:				var(--root_color_white);
	--global_button_background_color:	var(--root_color_dark);
	--global_button_color_h:			var(--root_color_white);
	--global_button_background_color_h:	var(--root_color_black);
} */

/**********************************************************************************/

.section_cta.symbol.global_background.gb_before_bc::before
{
	--gb_before_bc: rgba(0, 0, 0, 0);
}

.section_cta.symbol.global_background::after
{
	background-color: rgba(255, 255, 255, 0.95);
}

.section_cta.symbol .layout_mirror > :last-child
{
	order: 0;
}

.section_cta.symbol .global_contener
{
	grid-template-columns: 100% !important;	
}

.section_cta .contener svg
{
/*	position: absolute;
	display: none; */
}

.section_cta.symbol .contener
{
	--min_width: 420;
	--max_width: 500;
	--width:
		clamp(calc(var(--min_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_width)) * 1px)
		+ ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_width) * 1px));
	background-color: var(--root_color_white);
	padding-top: calc(var(--global_size_25) + var(--global_size_125));
	padding-top: calc(var(--global_size_25) + var(--global_size_100));
	padding-top: var(--global_size_50);
	padding-bottom: var(--global_size_50);
	padding-left: var(--global_size_50);
	padding-right: var(--global_size_50);
	width: 100%;
	max-width: var(--width);
	justify-self: flex-end;
	position: relative;
	-webkit-clip-path: url(#clip_path_image_cta);
	clip-path: url(#clip_path_image_cta);
	/*	margin-top: var(--global_size_150); */
}

/*.section_cta.symbol .contener::before
{
	content: '';
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
	border-width: 0 calc(var(--width) * 0.5) var(--global_size_150) calc(var(--width) * 0.5);
	border-color: transparent transparent var(--root_color_lead) transparent;
	border-style: solid;
	transform: translateY(-100%);
} */

.section_cta.symbol .layout_mirror .contener
{
	justify-self: flex-start;
}

.section_cta.symbol .contener > *
{
	color: var(--root_color_dark);
}

.section_cta.symbol .content
{
	margin-top: var(--global_size_20);
}

.section_cta.symbol .content a
{
	color: var(--root_color_dark);
}

.section_cta.symbol .content a:hover
{
	color: var(--root_color_lead);
}

.section_cta.symbol .link
{
	--min_width: 420;
	--max_width: 500;
	--width:
		clamp(calc(var(--min_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_width)) * 1px)
		+ ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_width) * 1px));
	background-color: var(--root_color_white);
	padding-bottom: var(--global_size_50);
	padding-left: var(--global_size_50);
	padding-right: var(--global_size_50);
	width: 100%;
	max-width: var(--width);
	justify-self: flex-end;
	margin-top: calc(var(--global_size_40) * -1);
}

.section_cta.symbol .layout_mirror .link
{
	justify-self: flex-start;
}

.section_cta.symbol .link .global_link
{
/*	color: var(--root_color_dark); */
}

.section_cta.symbol .link .global_link::after
{
/*	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23163C33' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e"); */
}

.section_cta.symbol .link .global_button
{
/*	--global_button_color:				var(--root_color_white);
	--global_button_background_color:	var(--root_color_dark);
	--global_button_color_h:			var(--root_color_dark);
	--global_button_background_color_h:	var(--root_color_white); */
}

/**********************************************************************************/

.section_cta.lead .section_contener
{
	--section_contener_max_width: 1640px;
}

.section_cta.lead.global_background.gb_before_bc::before
{
	--gb_before_bc: rgba(0, 0, 0, 0);
}

.section_cta.lead.global_background::after
{
	background-color: rgba(255, 255, 255, 0.95);
}

.section_cta.lead .layout_mirror > :last-child
{
	order: 0;
}

.section_cta.lead .global_contener
{
	grid-template-columns: 100% !important;	
}

.section_cta .contener svg
{
/*	position: absolute;
	display: none; */
}

.section_cta.lead .contener
{
	--min_width: 420;
	--max_width: 845;
	--width:
		clamp(calc(var(--min_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_width)) * 1px)
		+ ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_width) * 1px));
	background-color: var(--root_color_dark);
	padding-top: calc(var(--global_size_25) + var(--global_size_125));
	padding-top: calc(var(--global_size_25) + var(--global_size_100));
	padding-top: var(--global_size_50);
	padding-bottom: var(--global_size_50);
	padding-left: var(--global_size_50);
	padding-right: var(--global_size_50);
	width: 100%;
	max-width: var(--width);
	justify-self: flex-end;
	position: relative;
	-webkit-clip-path: url(#clip_path_image_cta);
	clip-path: url(#clip_path_image_cta);
	/*	margin-top: var(--global_size_150); */
}

/*.section_cta.lead .contener::before
{
	content: '';
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
	border-width: 0 calc(var(--width) * 0.5) var(--global_size_150) calc(var(--width) * 0.5);
	border-color: transparent transparent var(--root_color_lead) transparent;
	border-style: solid;
	transform: translateY(-100%);
} */

.section_cta.lead .layout_mirror .contener
{
	justify-self: flex-start;
}

.section_cta.lead .contener > *
{
	color: var(--root_color_white);
}

.section_cta.lead .content
{
	margin-top: var(--global_size_20);
}

.section_cta.lead .content a
{
	color: var(--root_color_white);
}

.section_cta.lead .content a:hover
{
	color: var(--root_color_lead);
}

.section_cta.lead .link
{
	--min_width: 420;
	--max_width: 845;
	--width:
		clamp(calc(var(--min_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_width)) * 1px)
		+ ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_width) * 1px));
	background-color: var(--root_color_dark);
	padding-bottom: var(--global_size_50);
	padding-left: var(--global_size_50);
	padding-right: var(--global_size_50);
	width: 100%;
	max-width: var(--width);
	justify-self: flex-end;
	margin-top: calc(var(--global_size_40) * -1);
}

.section_cta.lead .layout_mirror .link
{
	justify-self: flex-start;
}

.section_cta.lead .link .global_link
{
	color: var(--root_color_white);
}

.section_cta.lead .link .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23ffffff' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta.lead .link .global_link:hover
{
	color: var(--root_color_lead);
}

.section_cta.lead .link .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_cta.lead .link .global_button
{
/*	--global_button_color:				var(--root_color_white);
	--global_button_background_color:	var(--root_color_dark); */
	--global_button_color_h:			var(--root_color_dark);
	--global_button_background_color_h:	var(--root_color_white);
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
	.section_cta.is_video
	{
	/*	display: block; */
		padding-top: calc(var(--global_header_height) + var(--global_size_100));
	}

	.section_cta.is_video .global_button.gb_bc_white
	{
	/*	--global_button_color: var(--root_color_white);
		--global_button_background_color: var(--root_color_lead);
		--global_button_color_h: var(--root_color_white);
		--global_button_background_color_h: #000000; */
	}

	.section_cta.is_video.background_blue.global_background.gb_before_bc::before
	{
	/*	--gb_before_bc: rgba(255, 255, 255, 0) !important; */
	}

	.section_cta.is_video .contener *
	{
	/*	color: var(--root_color_lead); */
	}

	.section_cta.is_video .contener 
	{
	/*	margin-top: var(--global_size_50); */
	}

	.section_cta.is_video .is_centered_tablet 
	{
		text-align: left;
	}

	.section_cta .is_video
	{
	/*	position: relative; */
	}

	.section_cta .is_video::before
	{
	/*	content: '';
		display: block;
		position: absolute;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		background-color: rgba(0, 0, 0, 0.25);
		z-index: 1; */
	}

	.section_cta .video
	{
	/*	min-width: 0;
		min-height: 0;
		width: 100%;
		position: relative;
		top: 0;
		left: 0;
		transform: none; */
		width: 100%;
	}

	.section_cta.symbol .contener
	{
	/*	padding-top: calc(var(--global_size_25) + var(--global_size_150)); */
	}
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
	.section_cta.symbol .contener,
	.section_cta.symbol .link
	{
		max-width: 100%;
	}
}

@media screen and (max-width: 360px)
{
}